Bug 690590 - virt-manager: add hires app icon to look nicer in gnome shell
Summary: virt-manager: add hires app icon to look nicer in gnome shell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-24 17:55 UTC by jmccann
Modified: 2015-01-14 23:26 UTC (History)
7 users (show)

Fixed In Version: virt-manager-0.9.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-14 08:56:59 UTC
Type: ---


Attachments (Terms of Use)
Application icon based on the project identity (13.38 KB, image/png)
2011-03-28 16:49 UTC, Jakub Steiner
no flags Details
Virt Manage app icon based on the logo. Comes in all required sizes. (282.57 KB, application/zip)
2011-03-29 13:57 UTC, Jakub Steiner
no flags Details
alternative virtman icon (40.97 KB, application/octet-stream)
2011-04-11 16:52 UTC, Jakub Steiner
no flags Details

Description jmccann 2011-03-24 17:55:40 UTC
F15 will display applications icons at a large size by default.  For F15 and apps to look their best we should include hires icons (256px).  Currently, virt-manager doesn't have one and only uses a single low detail scalable svg.

I think it might also be a good opportunity to make some improvements to the icon design as well.

I'm hoping that Jakub Steiner will be able to find some time to work on it before the beta.  It would be really nice to get it in.

Comment 1 Cole Robinson 2011-03-24 18:29:18 UTC
Sounds good to me. Whenever this bug is updated I'll try to make sure it gets in to f15. Thanks!

Comment 2 Jakub Steiner 2011-03-28 16:48:37 UTC
The project logo itself is quite nice. I think this is one of the few cases where the project brand might be suitable for app icon as well. Attaching a highres variant of the app icon. If you find it acceptable, I will execute the pixel perfect small sizes as well.

Comment 3 Jakub Steiner 2011-03-28 16:49:17 UTC
Created attachment 488196 [details]
Application icon based on the project identity

Comment 4 Daniel Berrangé 2011-03-28 16:54:44 UTC
NB, as well as updating the window icons, the Help -> About dialog should also get the new icon. The same icon file can do the job for both.

Comment 5 Jakub Steiner 2011-03-29 13:57:09 UTC
Created attachment 488452 [details]
Virt Manage app icon based on the logo. Comes in all required sizes.

The included SVG is not meant to be installed. It is the 'source' of the artwork for easier future iteration and derived works.

Comment 6 Cole Robinson 2011-04-06 17:01:46 UTC
Thanks! Just tried integrating these upstream. On my f14 desktop, I think the icons look a little odd since they only take up about 1/3 of the allocated vertical space. Compare to just about every other app icon which at least touches every border at some point.

Just wondering, is there anything particularly that's lacking with the current icon (besides needing a higher detail version?) Something to consider is that the current icon is visually consistent with the rest of the app, since we have several similar icons for actions like new vm, clone vm, delete vm, etc. Not sure how important that is though. (FYI these icons were done by Jeremy Perry and Mike Langlie about 2 years ago)

Additionally the website isn't very well maintained and the branding there really isn't used anywhere else wrt virt-manager. That doesn't mean it _shouldn't_ be used elsewhere, just want it to be clear that it isn't something we've heavily invested in at the moment.

jimmac, mccann, any thoughts?

Comment 7 Jakub Steiner 2011-04-11 16:48:53 UTC
I don't consider the fact the aspect ratio of the logo not covering most of the space an important issue. Neverthless I have created a variant of the logo overlaid on the computer screen, similar to what the icon used to be. But I do not consider that element to be necessary and I think it introduces noise to the metaphor.

Comment 8 Jakub Steiner 2011-04-11 16:52:07 UTC
Created attachment 491281 [details]
alternative virtman icon

Comment 9 Cole Robinson 2011-07-11 18:27:00 UTC
Let me preface this by saying I'm not trying to be difficult, just trying to understand the thinking here. At the end of the day as the maintainer of virt-manager I will be the one that has to answer for any change committed upstream. I want to understand this response so if user's ask me the same questions I asked yall, I can confidently respond and justify the change.

(In reply to comment #7)
> I don't consider the fact the aspect ratio of the logo not covering most of the
> space an important issue.

Okay, but I'm curious why you don't think this is an important issue? It seems that's pretty much the one thing all application icons do to be visually consistent with one another, assuming some visual consistency is a desirable thing in this case.

> Neverthless I have created a variant of the logo
> overlaid on the computer screen, similar to what the icon used to be. But I do
> not consider that element to be necessary and I think it introduces noise to
> the metaphor.

What exactly is the metaphor that the original icon is expressing, which this new one is muddying? I'm not trying to be snarky. 

It sounds like you would prefer I use the original set of icons posted. I'm fine with doing that as long as I understand the motivation. If someone asks me the same questions I asked you, I want to be able to confidently respond as to why the new icon is not a step back. Thanks

Comment 10 Jakub Steiner 2011-07-12 12:32:00 UTC
Covering the whole canvas has nothing to do with consistency. If you chose a thin object for a metaphor, just as a screwdriver, you don't go stretching it to cover the canvas.

As for the muddying -- it's a matter of not trying to shove too many things into the icon. Over the years I've learned that trying to give more context by introducing more elements into the canvas adds visual noise that goes against the purpose of the icon -- being easily distinguishable. Open up the gnome-icon theme and count how many times a computer monitor shows up.

I really do believe sticking with the identity for this one is better.

Comment 11 Cole Robinson 2011-07-12 19:12:36 UTC
Okay, thanks for the feedback, I'm pushed this upstream now:

http://git.fedorahosted.org/git?p=virt-manager.git;a=commit;h=4465d6f0be4dab7946c2895b10b12a7ad5e3e293

Comment 12 Fedora Update System 2012-02-01 18:24:32 UTC
virt-manager-0.9.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/virt-manager-0.9.1-1.fc15

Comment 13 Fedora Update System 2012-02-02 17:23:56 UTC
Package virt-manager-0.9.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.9.1-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1173/virt-manager-0.9.1-1.fc15
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2012-02-14 08:56:59 UTC
virt-manager-0.9.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.